Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Class Global

    java.lang.Object
      com.sun.squawk.vm.Global

    public final class Global

extends Object

Definition of all the Squawk classes that use global variables.

The Squawk VM supports four types of variables. These are local variables, instance variables, static varibles, and global variables. Static variables are those defined in a class using the static keyword these are allocated dynamically by the VM when their classes are initialized, and these variables are created on a per-isolate basis. Global variables are allocated by the romizer and used in place of the static variables in this hard-wired set of system classes. This is done in cases where certain components of the system must have static state before the normal system that support things like static variables are running. Global variables are shared between all isolates.

Field Summary
`static long` | `branchCountHigh` Fields specified here will be allocated constant offsets.
`static long` | `branchCountLow` Fields specified here will be allocated constant offsets.
`static long` | `cheneyEndMemoryProtect` Fields specified here will be allocated constant offsets.
`static long` | `cheneyStartMemoryProtect` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_GC$collecting` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_GC$monitorExitCount` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_GC$monitorReleaseCount` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_GC$traceFlags` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$addressResult` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$channel` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$code` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$context` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$i1` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$i2` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$i3` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$i4` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$i5` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$i6` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$o1` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$o2` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$op` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$pendingException` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_ServiceOperation$result` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_VM$currentIsolate` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_VM$extendsEnabled` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_VM$usingTypeMap` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_VMThread$currentThread` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_VMThread$nextThreadNumber` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_VMThread$otherThread` Fields specified here will be allocated constant offsets.
`static long` | `com_sun_squawk_VMThread$serviceThread` Fields specified here will be allocated constant offsets.
`static long` | `currentThreadID` Fields specified here will be allocated constant offsets.
`static long` | `newCount` Fields specified here will be allocated constant offsets.
`static long` | `newHits` Fields specified here will be allocated constant offsets.
`static long` | `runningOnServiceThread` Fields specified here will be allocated constant offsets.
`static long` | `traceEndHigh` Fields specified here will be allocated constant offsets.
`static long` | `traceEndLow` Fields specified here will be allocated constant offsets.
`static long` | `traceStartHigh` Fields specified here will be allocated constant offsets.
`static long` | `traceStartLow` Fields specified here will be allocated constant offsets.
`static long` | `tracing` Fields specified here will be allocated constant offsets.

Method Summary
`static Hashtable` | `getGlobalAddrs()` Get the hashtable of global addresses.
`static Hashtable` | `getGlobalInts()` Get the hashtable of global ints.
`static Hashtable` | `getGlobalOops()` Get the hashtable of global oops.
`static int` | `getOffset(long field)` Get offset
`static boolean` | `isGlobalAddr(long field)` Test to see if the field constant is a global address
`static boolean` | `isGlobalInt(long field)` Test to see if the field constant is a global int.
`static boolean` | `isGlobalOop(long field)` Test to see if the field constant is a global ref

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### com_sun_squawk_VM$currentIsolate

    public static long com_sun_squawk_VM$currentIsolate

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_VM$extendsEnabled

    public static long com_sun_squawk_VM$extendsEnabled

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_VM$usingTypeMap

    public static long com_sun_squawk_VM$usingTypeMap

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_GC$traceFlags

    public static long com_sun_squawk_GC$traceFlags

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_GC$collecting

    public static long com_sun_squawk_GC$collecting

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_GC$monitorExitCount

    public static long com_sun_squawk_GC$monitorExitCount

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_GC$monitorReleaseCount

    public static long com_sun_squawk_GC$monitorReleaseCount

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_VMThread$nextThreadNumber

    public static long com_sun_squawk_VMThread$nextThreadNumber

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_VMThread$currentThread

    public static long com_sun_squawk_VMThread$currentThread

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_VMThread$otherThread

    public static long com_sun_squawk_VMThread$otherThread

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_VMThread$serviceThread

    public static long com_sun_squawk_VMThread$serviceThread

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$pendingException

    public static long com_sun_squawk_ServiceOperation$pendingException

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$code

    public static long com_sun_squawk_ServiceOperation$code

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$context

    public static long com_sun_squawk_ServiceOperation$context

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$op

    public static long com_sun_squawk_ServiceOperation$op

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$channel

    public static long com_sun_squawk_ServiceOperation$channel

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$i1

    public static long com_sun_squawk_ServiceOperation$i1

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$i2

    public static long com_sun_squawk_ServiceOperation$i2

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$i3

    public static long com_sun_squawk_ServiceOperation$i3

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$i4

    public static long com_sun_squawk_ServiceOperation$i4

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$i5

    public static long com_sun_squawk_ServiceOperation$i5

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$i6

    public static long com_sun_squawk_ServiceOperation$i6

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$o1

    public static long com_sun_squawk_ServiceOperation$o1

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$o2

    public static long com_sun_squawk_ServiceOperation$o2

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$result

    public static long com_sun_squawk_ServiceOperation$result

  Fields specified here will be allocated constant offsets.

### com_sun_squawk_ServiceOperation$addressResult

    public static long com_sun_squawk_ServiceOperation$addressResult

  Fields specified here will be allocated constant offsets.

### branchCountHigh

    public static long branchCountHigh

  Fields specified here will be allocated constant offsets.

### branchCountLow

    public static long branchCountLow

  Fields specified here will be allocated constant offsets.

### traceStartHigh

    public static long traceStartHigh

  Fields specified here will be allocated constant offsets.

### traceStartLow

    public static long traceStartLow

  Fields specified here will be allocated constant offsets.

### traceEndHigh

    public static long traceEndHigh

  Fields specified here will be allocated constant offsets.

### traceEndLow

    public static long traceEndLow

  Fields specified here will be allocated constant offsets.

### tracing

    public static long tracing

  Fields specified here will be allocated constant offsets.

### runningOnServiceThread

    public static long runningOnServiceThread

  Fields specified here will be allocated constant offsets.

### currentThreadID

    public static long currentThreadID

  Fields specified here will be allocated constant offsets.

### cheneyStartMemoryProtect

    public static long cheneyStartMemoryProtect

  Fields specified here will be allocated constant offsets.

### cheneyEndMemoryProtect

    public static long cheneyEndMemoryProtect

  Fields specified here will be allocated constant offsets.

### newCount

    public static long newCount

  Fields specified here will be allocated constant offsets.

### newHits

    public static long newHits

  Fields specified here will be allocated constant offsets.

Method Detail

### getGlobalInts

    public static Hashtable getGlobalInts()

  Get the hashtable of global ints.

  Returns:
    the hashtable

### getGlobalAddrs

    public static Hashtable getGlobalAddrs()

  Get the hashtable of global addresses.

  Returns:
    the hashtable

### getGlobalOops

    public static Hashtable getGlobalOops()

  Get the hashtable of global oops.

  Returns:
    the hashtable

### isGlobalInt

    public static boolean isGlobalInt(long field)

  Test to see if the field constant is a global int.

  Parameters:
    `field` - the field constant
  Returns:
    true if it is

### isGlobalAddr

    public static boolean isGlobalAddr(long field)

  Test to see if the field constant is a global address

  Parameters:
    `field` - the field constant
  Returns:
    true if it is

### isGlobalOop

    public static boolean isGlobalOop(long field)

  Test to see if the field constant is a global ref

  Parameters:
    `field` - the field constant
  Returns:
    true if it is

### getOffset

    public static int getOffset(long field)

  Get offset

  Parameters:
    `field` - the field constant
  Returns:
    the offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"